<!-- Form Heading -->
<div class="row">
    <div class="col-xs-12 hd-modal-header">
        Edit Your Portrait
    </div>
</div>

 <!-- Profile portrait privacy statement -->
<div class="row">
    <div class="col-xs-12">
        <p>
            Your profile portrait will only be visible to hiring companies after you
            have accepted their interview invitation.
        </p>
    </div>
</div>

<div class="row">
    <div class="col-xs-12 col-sm-8 col-sm-offset-2">
        <!-- Image Drop Zone -->
        <div class="portrait-upload-box" *ngIf="_uploader.queue.length == 0" ng2FileDrop
                [ngClass]="{'nv-file-over': _hasDropZoneOver}" (fileOver)="_hasDropZoneOver=$event"
                (onFileDrop)="_renderSelectedPhoto()" [uploader]="_uploader">

            <!-- Image Drop Zone Label -->
            <div class="portrait-upload-input" *ngIf="!_isPortraitDisplayed">
                <h3>Upload a Photo:</h3>

                <div class="droppable">Drag a photo into this window, or</div>

                <!-- Individual File Picker -->
                <label for="portraitFilePicker">
                    Choose a file
                    <input id="portraitFilePicker" type="file" ng2FileSelect [uploader]="_uploader"
                        (change)="_renderSelectedPhoto()" />
                </label>
            </div>
        </div>
    </div>

    <!-- Image Cropper -->
    <div class="col-xs-12 col-sm-6 screen-xs-overflow text-center">
        <div *ngIf="_uploader.queue.length">
            <img-cropper class="img-cropper" #cropper
                [image]="_cropperData"
                [settings]="_cropperSettings"></img-cropper>
        </div>
    </div>

    <div class="col-xs-hidden col-sm-6 portrait-preview" [@enterExpand] [@enterFadeIn] [ngClass]="{'active': _isPortraitDisplayed}"
            *ngIf="_isPortraitDisplayed">
        <h3>Lookin' Good!</h3>

        <!-- File cropper preview window -->
        <img height="150px" width="150px" alt="Profile portrait preview" [src]="_cropperData.image" />

        <!-- Placeholder for the portrait preview before an image is selected -->
        <img *ngIf="!_isPortraitDisplayed" height="150px" width="150px" alt="Profile portrait placeholder" />

        <!-- Reset the file picker -->
        <p>Not liking it?  <a (click)="_resetPhotoInput()">Upload a different photo</a></p>
    </div>
</div>

<div class="row" *ngIf="_uploader.queue.length">
    <div class="col-xs-12">
        <p class="text-left">Drag the frame to adjust your portrait, when you're happy with it hit save.</p>
    </div>
</div>

<div class="row">
    <div class="col-xs-12">
        <!-- Image upload requirements description -->
        <p class="screen-xs-hidden-on-crop" *ngIf="!_uploader.queue.length">
            You must upload an actual picture of you, with your face clearly visible. Logos, group pictures, etc. are not allowed.
        </p>

        <!-- Save / Cancel buttons -->
        <div *ngIf="!_showUploadProgress" class="buttons">
            <button class="btn btn-primary" (click)="_uploadPhoto()" [disabled]="!_uploader.queue.length">Save</button>
            <a class="btn btn-default" (click)="_onCancel()">Cancel</a>
        </div>
    </div>
</div>

<div class="upload-status" *ngIf="_showUploadProgress">
    Uploading {{ _uploader.progress }}% ...
    <div class="upload-bar">
        <div class="upload-bar-state"></div>
    </div>
</div>